Index: trunk/calendar/inc/class.uicalendar.inc.php
===================================================================
--- trunk/calendar/inc/class.uicalendar.inc.php	(revision 4844)
+++ trunk/calendar/inc/class.uicalendar.inc.php	(revision 5132)
@@ -1743,4 +1835,12 @@
 					)
 				);
+
+				if($external) 
+				{
+					$str .= '<td height="1" align="center" colspan="22" bgcolor="'.$this->theme['bg_color'].'" color="#999999">' .lang('Agenda not available') .'</td>';
+					$str .= '</tr>'
+					. '<tr><td height="1" colspan="'.((11 * $interval) + 1).'" bgcolor="#999999"><img src="'.$pix.'"></td></tr>';
+					continue;
+				}
 
 				if(!$this->bo->cached_events[$date['full']])
@@ -1772,4 +1872,5 @@
 									break;
 								case '-':
+									$time_slice[$index]['marker'] = "#";
 									$time_slice[$index]['color'] = $this->theme['bg11'];
 									$link = $this->page('view','&cal_id='.$time_slice[$index]['id'].'&date='.$date['full']);
@@ -1797,91 +1898,47 @@
 		{
 
-			$next = $GLOBALS['phpgw']->datetime->makegmttime(0,0,0,$this->bo->month,$this->bo->day + 1,$this->bo->year);
-			$prev = $GLOBALS['phpgw']->datetime->makegmttime(0,0,0,$this->bo->month,$this->bo->day - 1,$this->bo->year);
-
 			$this->bo->read_holidays();
 
-                        $legend_holiday = $this->bo->cached_holidays[$_GET['date']][0]['name']?'('.$this->bo->cached_holidays[$_GET['date']][0]['name'].')':'';
 			if (!$this->bo->printer_friendly || ($this->bo->printer_friendly && @$this->bo->prefs['calendar']['display_minicals']))
 			{
 				$minical = $this->mini_calendar(
 					Array(
-						'day'		=> 1,
+						'day'	=> $this->bo->day,
 						'month'		=> $this->bo->month,
 						'year'		=> $this->bo->year,
-						'link'		=> 'day',
-						'control'	=> True,
-						'outside_month'	=> False
+						'link'	=> 'day'
 					)
 				);
-				$minical1 = $this->mini_calendar(
-					Array(
-						'day'		=> 1,
-						'month'		=> $this->bo->month+1,
-						'year'		=> $this->bo->year,
-						'link'		=> 'day',
-						'control'	=> False,
-						'outside_month'	=> False
-					)
-				);
-				$minical2 = $this->mini_calendar(
-					Array(
-						'day'		=> 1,
-						'month'		=> $this->bo->month+2,
-						'year'		=> $this->bo->year,
-						'link'		=> 'day',
-						'control'	=> False,
-						'outside_month'	=> False
-					)
-				);
 			}
 			else
 			{
 
-				//NDEE: printer-friendly (what?)
+//NDEE: printer-friendly (what?)
 				$minical = '';
 			}
 
-			if(isset($_GET['date']))
-			{
-			    $dia = substr($_GET['date'],-2);
+			if (!$this->bo->printer_friendly)
+			{
+				$printer = '';
+				$param = '&date='.sprintf("%04d%02d%02d",$this->bo->year,$this->bo->month,$this->bo->day).'&friendly=1';
+			//	$print = '<a href="'.$this->page('day'.$param)."\" TARGET=\"cal_printer_friendly\" onMouseOver=\"window.status = '".lang('Generate printer-friendly version')."'\">[".lang('Printer Friendly').']</a>';
+			
+				//Adiciona modo que o mesmo abra uma nova janela nos navegadores IE e FF
+				$print = "<a href='javascript:void(0)' onClick=\"javascript:window.open('".$this->page('day'.$param).
+						"','','width=600,height=600,toolbar=no,scrollbars=yes,resizable=no');\" onMouseOver=\"window.status = '".
+						lang('Generate printer-friendly version')."'\">[".lang('Printer Friendly').']</a>';
+			
 			}
 			else
 			{
-			    $dia = $_POST['day'];
-			}
-
-			if (!$this->bo->printer_friendly)
-			{
-				$printer = '';
-				$prev_day_link = '<a href="'.$this->page('day','&date='.$prev['full']).'">&lt;&lt;</a>';
-				$next_day_link = '<a href="'.$this->page('day','&date='.$next['full']).'">&gt;&gt;</a>';
-				//$param = '&year='.$this->bo->year.'&month='.$this->bo->month.'&friendly=1'.'&day_ini='.$dia.'&num_dias=1'.'&d=1';
-				//$print = "<a href='javascript:void(0)' onClick=\"javascript:window.open('".$this->page('month'.$param).
-				//		"','','width=600,height=600,toolbar=no,scrollbars=yes,resizable=no');\" onMouseOver=\"window.status = '".
-				//		lang('Generate printer-friendly version')."'\">[".lang('Printer Friendly').']</a>';
-			}
-			else
-			{
-
-				//NDEE: printer-friendly (daily-view)
+
+//NDEE: printer-friendly (daily-view)
 				$GLOBALS['phpgw_info']['flags']['nofooter'] = True;
 				$printer = '<body bgcolor="'.$this->theme['bg_color'].'">';
-				//$print =	'';
-			}
-			$print =  '<a href="javascript:void(0)" id="printFriendly">['.lang('Printer Friendly').']</a>';
-
-			$param = '&year='.$this->bo->year.'&month='.$this->bo->month.'&friendly=1'.'&day_ini='.$dia.'&num_dias=1'.'&d=1';
+				$print =	'';
+			}
 
 			$now	= $GLOBALS['phpgw']->datetime->makegmttime(0, 0, 0, $this->bo->month, $this->bo->day, $this->bo->year);
 			$now['raw'] += $GLOBALS['phpgw']->datetime->tz_offset;
-
-                        $week_days = array(lang('Sunday'),
-								lang('Monday'),
-								lang('Tuesday'),
-								lang('Wednesday'),
-								lang('Thursday'),
-								lang('Friday'),
-								lang('Saturday'));
 
 			$p = $GLOBALS['phpgw']->template;
@@ -1898,5 +1955,5 @@
 				'printer_friendly'	    => $printer,
 				'bg_text'		    => $this->theme['bg_text'],
-				'daily_events'		    => $this->print_day_new(
+				'daily_events'		=> $this->print_day(
 					Array(
 						'year'	    => $this->bo->year,
@@ -1905,16 +1962,12 @@
 					)
 				),
-				'small_calendar'	    => $minical.'<br/>'.$minical1.'<br/>'.$minical2,
-				'date'			    => $this->bo->long_date($now) . $legend_holiday,
-				'day_of_week'		=> $week_days[$now['dow']],
+				'small_calendar'	=> $minical,
+				'date'				=> $this->bo->long_date($now),
 				'username'		    => $GLOBALS['phpgw']->common->grab_owner_name($this->bo->owner),
-				'prev_day_link'		    => $prev_day_link,
-				'next_day_link'		    => $next_day_link,
-				'iprint'		    => $print,
-				'param'			    => $param,
+				'print'				=> $print,
 				'lang_todos'		    => $todo_label,
 				'todos'			    => $this->bo->printer_friendly ? $todos :
 
-					//NDEE: todo's layout
+//NDEE: todo's layout
 					"<div style=\"overflow: auto; max-height: 200px\">\n$todos</div>\n"
 			);
@@ -1922,5 +1975,5 @@
 			$p->set_var($var);
 			$p->parse('day_events','day_event');
-			echo $this->printer_friendly($p->fp('out','day'),lang('Dayview'));
+			print $this->printer_friendly($p->fp('out','day'),lang('Dayview'));
 			$GLOBALS['phpgw']->common->phpgw_footer();
 		}
@@ -2042,5 +2095,5 @@
 						$notify_message = lang('This commitment has already been accepted!');
 				}	
-				else
+				else if($_GET['response'] == 2)
 				{					
 					if(!$duplicated_action)						
@@ -2048,4 +2101,11 @@
 					else
 						$notify_message = lang('This commitment has already been rejected!');
+				}
+                                else if($_GET['response'] == 3)
+				{					
+					if(!$duplicated_action)						
+						$notify_message = lang('The commitment was tentatived successfully!');
+					else
+						$notify_message = lang('This commitment has already been tentatived!');
 				}
 				
@@ -2057,104 +2117,4 @@
 				$tmpbody1 = $body1->pfp('out','list');
 		}
-		
-		function confirm_conflict($user_id,$event,$overlapping_events)
-		{
-			if(!$overlapping_events){					
-				$notify_message = lang('This event conflicts with your other event.');
-	
-				$action_ignore = $GLOBALS['phpgw']->link('/index.php',Array('menuaction'=>'calendar.uicalendar.set_action','cal_id' => $event[id], 'action' => 3, 'response' => 1,'user_id' => $user_id, 'ignore_conflict' => 1));
-				$action_reject = $GLOBALS['phpgw']->link('/index.php',Array('menuaction'=>'calendar.uicalendar.set_action','cal_id' => $event[id], 'action' => 0, 'response' => 0));
-	
-				$body1 = CreateObject('phpgwapi.Template',PHPGW_APP_TPL);
-				$body1->set_file(Array('calendar' => 'conflict.tpl'));
-				$body1->set_block('calendar','list');
-				$var = Array( 'notify_message'	=> $notify_message,
-							'action_url' => $action_url,
-							'ignore_conflict' => 'Ignorar Conflito',
-							'reject_event' => 'Rejeitar Evento',
-							'action_reject' => $action_reject,
-							'action_ignore' => $action_ignore);
-				$body1->set_var($var);
-				$tmpbody1 = $body1->pfp('out','list');
-			}
-			else
-			{				
-				$month = $event['start']['month'];
-				$mday = $event['start']['mday'];
-				$year = $event['start']['year'];
-	
-				$start = mktime($event['start']['hour'],$event['start']['min'],$event['start']['sec'],$month,$mday,$year) - $GLOBALS['phpgw']->datetime->tz_offset;
-				$end = $this->bo->maketime($event['end']) - $GLOBALS['phpgw']->datetime->tz_offset;
-	
-				$overlap = '';
-				for($i=0;$i<count($overlapping_events);$i++)
-				{
-					$overlapped_event = $this->bo->read_entry($overlapping_events[$i],True);
-					foreach($overlapped_event['participants'] as $id => $status)
-					{
-						$conflict = isset($event['participants'][$user_id]);
-						$overlap .= '<li>'.($conflict?'<b>':'').
-							$GLOBALS['phpgw']->common->grab_owner_name($id).
-							($conflict?'</b> - '.lang('Scheduling conflict'):'')."</li>";
-					}
-				 if ($this->bo->prefs['calendar']['hide_event_conflict'])
-					 $overlap .= '<ul><font size="1"><span>'.
-						 $this->normDec($overlapped_event['start']['hour']).":".
-						 $this->normDec($overlapped_event['start']['min'])."-".
-						 $this->normDec($overlapped_event['end']['hour']).":".
-						 $this->normDec($overlapped_event['end']['min']).
-						 '<br><b>'.lang('title').": ".lang("Hidden").
-						 '</b><br>'.lang('description').": ".lang("Hidden").'<br></span></ul><br>';
-				 else
-					 $overlap .= '<ul>'.$this->link_to_entry($overlapped_event,$month,$mday,$year)."</ul><br>";	
-				}
-	
-				unset($GLOBALS['phpgw_info']['flags']['noheader']);
-				unset($GLOBALS['phpgw_info']['flags']['nonavbar']);
-				$GLOBALS['phpgw_info']['flags']['noappheader'] = True;
-				$GLOBALS['phpgw_info']['flags']['noappfooter'] = True;
-				$GLOBALS['phpgw_info']['flags']['app_header'] = $GLOBALS['phpgw_info']['apps']['calendar']['title'].' - '.lang('Scheduling Conflict');
-				$GLOBALS['phpgw']->common->phpgw_header();
-	
-				$p = $GLOBALS['phpgw']->template;
-				$p->set_file(
-					Array(
-						'overlap'	=> 'overlap.tpl',
-	   					'form_button'	=> 'form_button_script.tpl'
-					)
-				);
-	
-				$var = Array(
-					'color'		=> $this->theme['bg_text'],
-					'overlap_title' => lang('Scheduling Conflict'),
-					'overlap_text'	=> lang('Your suggested time of <B> %1 - %2 </B> conflicts with the following existing calendar entries:',$GLOBALS['phpgw']->common->show_date($start),$GLOBALS['phpgw']->common->show_date($end)),
-					'overlap_list'	=> $overlap
-				);
-				$p->set_var($var);
-	
-				$date = sprintf("%04d%02d%02d",$this->bo->year,$this->bo->month,$this->bo->mday);
-				$var = Array(
-					'action_url_button'	=> $GLOBALS['phpgw']->link('/index.php',Array('menuaction'=>'calendar.uicalendar.set_action','cal_id' => $event[id], 'action' => 3, 'user_id' => $user_id, 'ignore_conflict' => 1)),
-					'action_text_button'	=> lang('Ignore Conflict'),
-					'action_confirm_button'	=> '',
-					'action_extra_field'	=> '',
-					'button_id'		=> 'ignore_button'
-				);				
-				$action_reject = $GLOBALS['phpgw']->link('/index.php',Array('menuaction'=>'calendar.uicalendar.set_action','cal_id' => $event[id], 'action' => 0, 'response' => 0));
-	
-				$this->output_template_array($p,'resubmit_button','form_button',$var);
-	
-				$var = Array(
-					'action_url_button'	=> $GLOBALS['phpgw']->link('/index.php',Array('menuaction'=>'calendar.uicalendar.set_action','cal_id' => $event[id], 'action' => 0)),
-					'action_text_button'	=> lang('Reject'),
-					'action_confirm_button'	=> '',
-					'action_extra_field'	=> '',
-					'button_id'		=> 'redit_button'
-				);
-				$this->output_template_array($p,'reedit_button','form_button',$var);
-				$p->pparse('out','overlap');
-			}
-		}
-		
 		function set_action()
 		{
@@ -2165,48 +2125,13 @@
 			}
 			
-			$overlapping_events = false;
-			$event = $this->bo->read_entry((int)$_GET['cal_id']);
-			if((!$_GET['response'] == 0 && !$_GET['ignore_conflict'] == 1) || 
-				(!isset($_GET['response']) && $_GET['action'] == 3 && !$_GET['ignore_conflict'] == 1))
-			{
-				if($event['id'])
-				{
-					$event_ids[] = $event['id'];
-				}
-				if($event['reference'])
-				{
-					$event_ids[] = $event['reference'];
-				}
-				
-				$event['participants'] = Array($_SESSION['phpgw_info']['expressomail']['user']['account_id'] => $event['participants'][$_SESSION['phpgw_info']['expressomail']['user']['account_id']]);
-
-				$overlapping_events = $this->bo->overlap(
-					$this->bo->maketime($event['start']),
-					$this->bo->maketime($event['end']),
-					$event['participants'],
-					$event['owner'],
-					$event_ids
-				);
-			}
+			$confirm_status = $this->bo->set_status((int)$_GET['cal_id'],(int)$_GET['action'],(int)$_GET['user']);
 
 			if(isset($_GET['response']))
 			{
-				if($overlapping_events)
-				{
-					$this->confirm_conflict($_GET['user_id'],$event);
-				}else
-				{
-					$confirm_status = $this->bo->set_status((int)$_GET['cal_id'],(int)$_GET['action']);
 					$this->confirm_action($confirm_status);
 					$GLOBALS['phpgw']->common->phpgw_exit(False);
 				}
-			}else
-			{
-				if($overlapping_events)
-				{					
-					$this->confirm_conflict($_GET['user_id'],$event,$overlapping_events);
-				}else
-				{
-				$confirm_status = $this->bo->set_status((int)$_GET['cal_id'],(int)$_GET['action']);
+			else
+				{
 					if ($this->bo->return_to)
 					{
@@ -2219,6 +2144,4 @@
 					$GLOBALS['phpgw']->common->phpgw_exit();
 				}
-			}
-			
 			
 		}
@@ -2293,4 +2216,5 @@
 				if ($this->always_app_header) $GLOBALS['phpgw_info']['flags']['app_header'] = $GLOBALS['phpgw_info']['apps']['calendar']['title'].' - '.lang('Group Planner');
 				$GLOBALS['phpgw']->common->phpgw_header();
+				$this->header();
 			}
 
@@ -2564,8 +2488,8 @@
 			if (!$is_private)
 			{
-				$opt .= ' title="'.lang('Title').": ".$event['title'];
+				$opt .= ' title="'.lang('Title').": ".$event['title']."&nbsp| ";
 				if ($event['description'])
 				{
-					$opt .= "\n".lang('Description').": ".$event['description'];
+					$opt .= "\n".lang('Description').": ".$event['description']."&nbsp| ";
 				}
 			}
@@ -2577,5 +2501,5 @@
 			$start = $GLOBALS['phpgw']->common->show_date($this->bo->maketime($event['start']) - $GLOBALS['phpgw']->datetime->tz_offset);
 			$end = $GLOBALS['phpgw']->common->show_date($this->bo->maketime($event['end']) - $GLOBALS['phpgw']->datetime->tz_offset);
-			$opt .= "\n".lang('Start Date/Time').": ".$start."\n".lang('End Date/Time').": ".$end;
+			$opt .= "\n".lang('Start Date/Time').": ".$start."&nbsp| ".lang('End Date/Time').": ".$end."&nbsp| ";
 
 			if ($event['location'] && !$is_private)
@@ -3053,5 +2977,13 @@
 					}
 				}
-				$GLOBALS['phpgw']->redirect_link('/index.php',$vars);
+
+				unset($GLOBALS['phpgw_info']['flags']['noheader']);
+				unset($GLOBALS['phpgw_info']['flags']['nonavbar']);
+				$GLOBALS['phpgw_info']['flags']['app_header'] = $GLOBALS['phpgw_info']['apps']['calendar']['title'].' - '.lang('Search Results');
+				$GLOBALS['phpgw']->common->phpgw_header();
+
+				echo '<b>'.lang('Error').':</b>'.lang('no matches found');
+				return;
+				//$GLOBALS['phpgw']->redirect_link('/index.php',$vars);
 			}
 
@@ -3252,5 +3184,4 @@
 					'footer'	=> 'footer.tpl',
 					'form_button'	=> 'form_button_script.tpl'
-                                        //'new_component'	=> 'new_component.tpl'
 				)
 			);
@@ -3294,5 +3225,5 @@
 				$str_ini .= '<option value="'.$i.'"'.($i == $day?' selected':'').'>'.$i.'</option>'."\n";
 			}
-			$str_qtd = '<option value="'.''.'"'.(!$_POST['qtd_dias']?' selected':'').'>'.''.'</option>'."\n";
+			$str_qtd = '<option value="'.''.'"'.($i == $_POST['qtd_dias']?' selected':'').'>'.''.'</option>'."\n";
 			for ($i = 1; $i <= 45; $i++)
 			{
@@ -3301,12 +3232,5 @@
 			$display = '';
 			$display_view = '';
-//                        if ($menuaction == 'calendar.uicalendar.month')
-//			{
-//                            $accounts = CreateObject('phpgwapi.accounts');
-//                            $accountId = $accounts->name2id($account_name);
-//                            $prefs = CreateObject('phpgwapi.preferences', $accountId);
-//                            $account_prefs = $prefs->read();
-//                        }
-			if ( ($menuaction == 'calendar.uicalendar.week') || ($menuaction == 'calendar.uicalendar.day') || ($menuaction == 'calendar.uicalendar.year') || ($menuaction == 'calendar.uicalendar.planner'))
+			if ( ($menuaction == 'calendar.uicalendar.week') || ($menuaction == 'calendar.uicalendar.day') )
 			{
 				$display = 'none';
@@ -3321,9 +3245,9 @@
 				'formname'		=> 'SelectDay',
 				'formonchange'		=> 'document.SelectDay.submit()',
-				'day_ini_label'		=> lang('print start day'),
+				'day_ini_label'		=> lang('print starting in'),
 				'num_dias_label'	=> lang('quantity of days'),
-				'tip'			=> lang('empty prints from the start day chosen to the end of the current month'),
-//				'day_ini_name'		=> 'day',
-//				'num_dias_name'		=> 'qtd_dias',
+				'tip'			=> lang('empty prints from the day chosen below to the end of the current month'),
+				'day_ini_name'		=> 'day',
+				'num_dias_name'		=> 'qtd_dias',
 				'row_ini'		=> $str_ini,
 				'row_qtd'		=> $str_qtd,
@@ -3360,5 +3284,5 @@
 				'form_onchange'	=> 'document.SelectMonth.submit()',
 				'row'		=> $str,
-//				'dia_ini'	=> $dia_ini,
+				'dia_ini'	=> $dia_ini,
 				'go'		=> lang('Go!')
 			);
@@ -3464,6 +3388,6 @@
 			$this->output_template_array($p,'b_row2','form_button',$var);
 
-			//$p->set_var('place_component','');
 			$p->parse('table_row','blank_row',True);
+
 			$p->pparse('out','footer_table');
 			unset($p);
@@ -3522,4 +3446,8 @@
 			$viewable = !$this->bo->printer_friendly && $this->bo->check_perms(PHPGW_ACL_READ,$event);
 
+			if(!$viewable && $event['type'] == 'E' && !$event['public']){
+				return "";
+			} 
+			
 			$starttime = $this->bo->maketime($event['start']) - $GLOBALS['phpgw']->datetime->tz_offset;
 			$endtime = $this->bo->maketime($event['end']) - $GLOBALS['phpgw']->datetime->tz_offset;
@@ -3546,12 +3474,13 @@
 				}
 
-				if($endtime >= ($rawdate_offset + 86400))
-				{
-					$end_time = $GLOBALS['phpgw']->common->show_date(mktime(23,59,59,$month,$day,$year) - $GLOBALS['phpgw']->datetime->tz_offset,$this->bo->users_timeformat);
-				}
-				else
-				{
+                              
+//				if($endtime >= ($rawdate_offset + 86400 ))
+//				{
+//                                    $end_time = $GLOBALS['phpgw']->common->show_date(mktime(23,59,59,$month,$day,$year) - $GLOBALS['phpgw']->datetime->tz_offset,$this->bo->users_timeformat);
+//				}
+//				else
+//				{
 					$end_time = $GLOBALS['phpgw']->common->show_date($endtime,$this->bo->users_timeformat);
-				}
+//				}
 				$time = $start_time.'-'.$end_time;
 			}
@@ -3582,29 +3511,7 @@
 			$texttime=$time;
 			$texttitle=$this->bo->get_short_field($event,$is_private,'title');
-
-			$account_name = $_POST['user'] ?
-							$_POST['user'] :
-							($_GET['account_name'] ?
-							 $_GET['account_name'] : '');
-
-			$accounts = CreateObject('phpgwapi.accounts');
-			$accountId = $accounts->name2id($account_name);
-
-			$prefs = CreateObject('phpgwapi.preferences', $accountId);
-			$account_prefs = $prefs->read();
-
-			$titleView = $account_prefs['calendar']['title_view'];
-			if($titleView == "1")
-			{
-			    $textdesc = '';
-			}
-			else
-			{
-			    $textdesc = (!$is_private && $event['description'] ? $this->bo->get_short_field($event,$is_private,'description'):'');
-			    $textdesc=nl2br($textdesc);
-			}
-
+			$textdesc=(!$is_private && $event['description'] ? $this->bo->get_short_field($event,$is_private,'description'):'');
 			// added $textlocation but this must be activated in the actual pict_link.tpl file of the used template set
-			$textlocation= $event['location']?"<br/><b>Local:</b> ".$this->bo->get_short_field($event,$is_private,'location'):'';
+			$textlocation=$this->bo->get_short_field($event,$is_private,'location');
 
 			if ($viewable)
@@ -3658,5 +3565,5 @@
 			}
 			else
-			{if ($texttitle)
+			{
 				$picture[] = Array(
 					'pict'	=>  $GLOBALS['phpgw']->common->image('calendar','single'),
@@ -3690,14 +3597,4 @@
 				}
 			}
-
-                        if($event['attachment'] != '')
-				{
-					$picture[] = Array(
-						'pict'	=> $GLOBALS['phpgw']->common->image('calendar','clip'),
-						'width'	=> 9,
-						'height'=> 9,
-						'title' => lang('Notification with attachments sent.')
-					);
-				}
 
 			$description = $this->bo->get_short_field($event,$is_private,'description');
@@ -3712,5 +3609,5 @@
 				$this->output_template_array($this->link_tpl,'picture','pict',$var);
 			}
-			if ($event['type'] == 'H' || $texttitle)
+			if ($texttitle)
 			{
 				$var = Array(
@@ -3720,5 +3617,5 @@
 					'users_status'=>$textstatus,
 					'desc'=> $textdesc,
-					'location'=> $textlocation
+					'location'=> "<br><b>Local:</b> ".$textlocation
 				);
 				$this->output_template_array($this->link_tpl,'picture','link_text',$var);
@@ -3785,8 +3682,12 @@
 			}
 			
-			$textTitlePrint = $textTimePrint = $textDescPrint = $textLocationPrint = $textObservationsPrint = $textstatus = '';
+			$texttitle = $texttime = $textdesc = $textlocation = $textstatus = '';
+
+			
 
 			if(!$is_private)
 			{
+				//$text .= $this->bo->display_status($event['users_status']);
+				
 				// split text for better display by templates, also see $texttime $texttitle $textdesc $textlocation	
 				$textstatus=$this->bo->display_status($event['users_status']); 
@@ -3794,36 +3695,11 @@
 			}
 
-			$account_name = $_POST['user'] ?
-							$_POST['user'] :
-							($_GET['account_name'] ?
-							 $_GET['account_name'] : '');
-			
-			$accounts = CreateObject('phpgwapi.accounts');
-			$accountId = $accounts->name2id($account_name);
-
-			$prefs = CreateObject('phpgwapi.preferences', $accountId);
-			$account_prefs = $prefs->read();
-
-
-			$textTimePrint = $time;
-			$textTitlePrint = $is_private ? lang('Private event. You are not allowed to print it.') : ( $event['type'] == 'H' ? 'Apontamento de horas' : $this->bo->get_short_field($event,$is_private,'title' ) );
-
-			$fieldsToPrint = $account_prefs['calendar']['fields_to_print'];
-			if($fieldsToPrint == "0")
-			{
-			    $textDescPrint = '';
-			}
-			elseif($fieldsToPrint == "1")
-			{
-			    $textDescPrint = (!$is_private && $event['description'] ? $this->bo->get_short_field($event,$is_private,'description'):'');
-			}
-			else
-			{
-			    $textDescPrint = (!$is_private && $event['description'] ? $this->bo->get_short_field($event,$is_private,'description'):'');
-			    $textObservationsPrint = $event['observations']?"<br /><b>Observações:</b> ".$this->bo->get_short_field($event,$is_private,'observations'):'';
-			}
-
+			$text = '<nobr>&nbsp;'.$time.'&nbsp;</nobr> '.$this->bo->get_short_field($event,$is_private,'title').$text.
+
+			$texttime=$time;
+			$texttitle=$this->bo->get_short_field($event,$is_private,'title');
+			$textdesc=(!$is_private && $event['description'] ? $this->bo->get_short_field($event,$is_private,'description'):'');
 			// added $textlocation but this must be activated in the actual pict_link.tpl file of the used template set
-			$textLocationPrint = $event['location']?"<br /><b>Local:</b> ".$this->bo->get_short_field($event,$is_private,'location'):'';
+			$textlocation=$this->bo->get_short_field($event,$is_private,'location');
 
 			if ($viewable)
@@ -3832,10 +3708,8 @@
 				$this->event_tpl->set_var('link_link',$this->page('view','&cal_id='.$event['id'].'&date='.$date));
 				$this->event_tpl->set_var('lang_view',lang('View this entry'));
-				$this->event_tpl->set_var('desc', $textDescPrint);
-				$this->event_tpl->set_var('location', $textLocationPrint);
-				$this->event_tpl->set_var('observations', $textObservationsPrint);
+				$this->event_tpl->set_var('desc', $textdesc);
+				$this->event_tpl->set_var('location', $textlocation);
 				$this->event_tpl->parse('picture','link_event_open',True);
 			}
-
 			if (!$is_private)
 			{
@@ -3925,15 +3799,13 @@
 				$this->output_template_array($this->event_tpl,'picture','event_pict',$var);
 			}
-
-			if ($textTitlePrint)
+			if ($texttitle)
 			{
 				$var = Array(
 			//		'text' => $text,
-					'time'=> $textTimePrint,
-					'title'=> $textTitlePrint,
+					'time'=> $texttime,
+					'title'=> $texttitle,
 					'users_status'=>$textstatus,
-					'desc'=> $textDescPrint,
-					'location'=> $textLocationPrint,
-					'observations'=> $textObservationsPrint
+					'desc'=> $textdesc,
+					'location'=> "<br><b>Local:</b> ".$textlocation
 				);
 				$this->output_template_array($this->event_tpl,'picture','link_event_text',$var);
@@ -3967,5 +3839,15 @@
 			{
 				$overlapping_events = $params['o_events'];
+
+                                if( is_string( $overlapping_events ))
+                                    $overlapping_events = explode( ';', $overlapping_events );
+
 				$event = $params['this_event'];
+
+                                if( is_string( $event ) )
+                                    $event = $this->bo->read_entry( $event );
+
+                                if( !$event )
+                                    $event = $this->bo->restore_from_appsession();
 			}
 
@@ -3986,5 +3868,5 @@
 					$overlap .= '<li>'.($conflict?'<b>':'').
 						$GLOBALS['phpgw']->common->grab_owner_name($id).
-						($conflict?'</b> - '.lang('Scheduling conflict'):'')."</li>";
+						($conflict?'</b> - '.lang('Scheduling conflict'):'').'</li>';
 				}
 			 if ($this->bo->prefs['calendar']['hide_event_conflict'])
@@ -3997,5 +3879,5 @@
 					 '</b><br>'.lang('description').": ".lang("Hidden").'<br></span></ul><br>';
 			 else
-				 $overlap .= '<ul>'.$this->link_to_entry($overlapped_event,$month,$mday,$year)."</ul><br>";	
+				 $overlap .= '<ul>'.$this->link_to_entry($overlapped_event,$month,$mday,$year).'"</ul><br>';                  
 			}
 
@@ -4007,4 +3889,8 @@
 			$GLOBALS['phpgw']->common->phpgw_header();
 
+			$porig = $GLOBALS['phpgw']->template;
+
+			$GLOBALS['phpgw']->template->root = $_SESSION['rootPath'].'/calendar/templates/'.$GLOBALS['phpgw_info']['server']['template_set'].'/';
+
 			$p = $GLOBALS['phpgw']->template;
 			$p->set_file(
@@ -4024,4 +3910,14 @@
 
 			$date = sprintf("%04d%02d%02d",$this->bo->year,$this->bo->month,$this->bo->mday);
+
+                        $var = Array(
+				'action_url_button'	=> $GLOBALS['phpgw']->link('/index.php',array('menuaction' => 'calendar.uicalendar.index')),
+				'action_text_button'	=> lang('Cancel'),
+				'action_confirm_button'	=> '',
+				'action_extra_field'	=> '',
+				'button_id'		=> 'cancel_button'
+			);
+			$this->output_template_array($p,'cancel_button','form_button',$var);
+
 			$var = Array(
 				'action_url_button'	=> $GLOBALS['phpgw']->link('/index.php',Array('menuaction'=>'calendar.bocalendar.update','readsess'=>1)),
@@ -4033,4 +3929,20 @@
 			$this->output_template_array($p,'resubmit_button','form_button',$var);
 
+                        if( $event['owner'] == -2 || $event['id'] != 0 )
+                        {
+                            $p->set_var( 'suggestion', $this->build_suggestion( $event , $params['this_account']) );
+
+                            $var = Array(
+                                'action_url_button'	=> '',
+                                'action_text_button'	=> lang('Suggest new hour'),
+                                'action_confirm_button'	=> 'onsubmit="javascript: return false;" onclick="javascript: return show_suggestion();"',
+                                'action_extra_field'	=> '',
+                                'button_id'		=> 'redit_button'
+                            );
+                        }
+                        else
+                        {
+                            $p->set_var( 'suggestion', '' );
+
 			$var = Array(
 				'action_url_button'	=> $GLOBALS['phpgw']->link('/index.php',Array('menuaction'=>'calendar.uicalendar.edit','readsess'=>1,'date'=>$date)),
@@ -4040,6 +3952,8 @@
 				'button_id'		=> 'redit_button'
 			);
+                        }
 			$this->output_template_array($p,'reedit_button','form_button',$var);
 			$p->pparse('out','overlap');
+                        //return 'OLA';
 		}
 
@@ -4357,5 +4271,8 @@
 				$month = (int)substr($date,4,2);
 				$day   = (int)substr($date,6,2);
-
+				$var   = Array(
+					'column_data' => '',
+					'extra' => ''
+				);
 				$p->set_var($var);
 				if ($weekly || ($date >= $monthstart && $date <= $monthend))
@@ -4366,10 +4283,10 @@
 					$id_aux = mktime(0,0,0,$month,$day,$year);
 					$month_identifier = substr(lang(strftime("%B",$id_aux)),0,3);
-					$day_number = $dia_semana . ",  " . $day_num;
+					$day_number = $month_identifier . " - " . $dia_semana . ",  " . $day_num;
 
 					$var = Array(
 						'extra'		=> $day_params['extra'],
 						'new_event_link'=> $new_event_link,
-						'day_number'	=> (isset($_GET['num_dias']) && ($_GET['num_dias'] > 1 || $_GET['num_dias'] == "")?$day_number:'')
+						'day_number'	=> $day_number
 					);
 
